Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.inventory
Class AddResourceGroupsForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.common.inventory.AddResourceGroupsForm

All Implemented Interfaces:
  java.io.Serializable

    public class AddResourceGroupsForm

extends BaseValidatorForm

removes a list of groups from a resource

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AddResourceGroupsForm()`

Method Summary
`java.lang.Integer[]` | `getAvailableGroup()`
`java.lang.Integer[]` | `getAvailableGroups()`
`java.lang.String` | `getEid()`
`java.lang.Integer[]` | `getPendingGroup()`
`java.lang.Integer[]` | `getPendingGroups()`
`java.lang.Integer` | `getPsa()`
`java.lang.Integer` | `getPsp()`
`java.lang.Integer` | `getRid()`
`java.lang.Integer` | `getType()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAvailableGroup(java.lang.Integer[] availableGroups)`
`void` | `setAvailableGroups(java.lang.Integer[] availableGroups)`
`void` | `setEid(java.lang.String eidStr)`
`void` | `setPendingGroup(java.lang.Integer[] pendingGroups)`
`void` | `setPendingGroups(java.lang.Integer[] pendingGroups)`
`void` | `setPsa(java.lang.Integer ps)`
`void` | `setPsp(java.lang.Integer ps)`
`void` | `setRid(java.lang.Integer rid)`
`void` | `setType(java.lang.Integer type)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddResourceGroupsForm

    public AddResourceGroupsForm()

Method Detail

### getAvailableGroup

    public java.lang.Integer[] getAvailableGroup()

### getAvailableGroups

    public java.lang.Integer[] getAvailableGroups()

### setAvailableGroup

    public void setAvailableGroup(java.lang.Integer[] availableGroups)

### setAvailableGroups

    public void setAvailableGroups(java.lang.Integer[] availableGroups)

### getPendingGroup

    public java.lang.Integer[] getPendingGroup()

### getPendingGroups

    public java.lang.Integer[] getPendingGroups()

### setPendingGroup

    public void setPendingGroup(java.lang.Integer[] pendingGroups)

### setPendingGroups

    public void setPendingGroups(java.lang.Integer[] pendingGroups)

### getPsa

    public java.lang.Integer getPsa()

### setPsa

    public void setPsa(java.lang.Integer ps)

### getPsp

    public java.lang.Integer getPsp()

### setPsp

    public void setPsp(java.lang.Integer ps)

### getRid

    public java.lang.Integer getRid()

### setRid

    public void setRid(java.lang.Integer rid)

### getType

    public java.lang.Integer getType()

### setType

    public void setType(java.lang.Integer type)

### getEid

    public java.lang.String getEid()

### setEid

    public void setEid(java.lang.String eidStr)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.